/* CDStruct.h */

#include "Structures/ProgramTitleNode.h"

struct CDStruct
{
        ULONG           unit;                                   /* Unit des SCSI-Gerts */
        ULONG           lun;
        CDxRequest      *cdx;                                   /* <- bis hierhin nicht ndern */
        List            *cdtitles;                              /* Zeiger auf Titel-Liste */
        List            *progtitles;                    /* Zeiger auf Programm-Liste */
        ProgramTitleNode        *actprognode;   /* aktueller Track im Programm */

        UBYTE           searchseconds;
        UBYTE           updatedelay;
        UBYTE           searchmode;
        UBYTE           timemode;                               /* Anzeigemodus - siehe oben */
        UBYTE           repeatmode;
        UBYTE           playmode;
        UBYTE           fileformat;                             /* fr Audio-Save */
        UBYTE           freq;                                   /* -||- */

        BOOL            useraction;                             /* Hat der User die Trackvernderung  */
                                                                                /* ausgelst? wichtig f. Wiederholung */

        UBYTE           num_track;                              /* Anzahl Tracks */
        UBYTE           cur_track;                              /* aktueller Track */
        UBYTE           active;                                 /* siehe cdx_Active */
        UBYTE           time_percentage;                /* Zeit des aktuellen Tracks in % */
                                                                                /* wichtig fr Trackslider */
        ULONG           time_curseconds;                /* aktuelle Gesamtzeit in Sekunden */

        char            *cdnameptr;                             /* Damit sich die CDStruct ndern kann, ohne da */
        char            *artistptr;                             /* das Asm-Zeugs neu gemacht werden mu */

        UBYTE           a_track, b_track;               /* fr A-B-Repeat */
        LONG            a_adr, b_adr;                   /* fr A-B-Repeat */

        UBYTE           cur_index;                              /* aktueller Index (ist hier, damit LONGs an geraden Adressen liegen) */

        char            buf_cddb_id[10];                /* CD-ID fr die CDDB-Database */

        char            buf_ab_time_a[16];
        char            buf_ab_time_b[16];

        char            buf_copy_size[20];

        char            device[31];
        char            cdname[MAXCDNAME + 1];  /* Name der CD */
        char            artistname[MAXARTISTNAME + 1];  /* Name des Interpreten */
        char            diskpath[DISKPATHLENGTH + 1];   /* Pfadangabe fr die CD-Titel */
};
